Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed
Description

If installing QGIS 2.0 on Windows with the standalone installers, then GRASS will not be found by the processing toolbox, regardless of

the path (with or without spaces) where QGIS is installed.

On osgeo4w there is no such problem.

Funny thing: if in the standalone installation the GRASS path are set to go pick the GRASS installed by osgeo4w, then it works ok.

History

#1 - 2013-09-21 06:30 AM - Giovanni Manghi

- Subject changed from GRASS/processing does not work on Windows standalone installers to GRASS/processing does not work on Windows

I have run a tests on every installer available for Windows. These are my findings

-------------------

I have run a set of tests on Windows, and here following my notes. It

seems to me that there are not only issue with the processing

framework, but also with the installers itselfs.

I used using a clean Windows 7 machine and after testing each

installer I carefully cleaned any trace of qgis by removing registry

keys, installation leftovers anthe .qgis2 folder and cleaning again

with ccleaner.

*) standolone installer 32bit: both grass and saga are not found by

processing regardless the installation path (with spaces or no spaces,

I tested also install in c:\\qgis).

When trying to open a GRASS module the error is (in the qgis log)

OGR

3

 error 4: Unable to open

C:/PROGRA~1/QGISDU~1/apps/qgis/./python/plugins\\processing\\tests\\data\\points.shp

or C:/PROGRA~1/QGISDU~1/apps/qgis/./python/plugins\\processing\\tests\\data\\points.SHP.

I noticed also that:

this installer install the software in "program file" and not in

"program files(x86)" as expected for a 32bit program in a 64bit
Windows.

When configuring processing the qgis log shows this

"edit: editing failed"

I tried to manually set/escape the GRASS paths in processing at no avail.

*) standalone installer 64bit: saga is not found by processing. GRASS

is found, modules run but at the end they return errors.

The error (in the qgis log) is

OGR

3

 error 4: Unable to open

C:/PROGRA~1/QGISDU~1/apps/qgis/./python/plugins\\processing\\tests\\data\\points.shp

or C:/PROGRA~1/QGISDU~1/apps/qgis/./python/plugins\\processing\\tests\\data\\points.SHP.

and this "points.shp" has nothing to do with the module being run.

Please note that the same GRASS modules with the same inputs works ok

with qgis installed with osgeo4w (see below).

QGIS installed with this installer now gives an error when launching.

See this image

https://www.dropbox.com/s/h0pitcgcxpzg3mb/Capture.JPG

It does NOT give the "edit: editing failed" error when configuring processing.

*) osgeo4w 64bit installer:

on start qgis gives the same error given by the 64 bit standalone

installer (see above).

Saga works. GRASS modules run but they return an error (see above).

I noticed also that this osgeo4w installer does not automatically

selects the dependencies and that it is not possible to install from a

local folder as it enters in a loop and does not allow to see the last

dialog, the one with the install/finish button.

*) osgeo4w installer:

I see the

"edit: editing failed"

message when configuring processing, but overall it seems that

everything is ok, saga and grass do run as expected.grass modules are

running and returning results (with the same modules and inputs, the

standalone installers and the osgeo4w64 don't).

*) osgeo4w 32bit experimental installer
same as osgeo4w installer.

#2 - 2013-09-29 04:20 AM - Giovanni Manghi

- Affected QGIS version changed from master to 2.0.1

- Subject changed from GRASS/processing does not work on Windows to GRASS/processing does not work on Windows (standalone installers)

#3 - 2013-10-17 08:04 AM - Jonathan Moules

Giovanni Manghi wrote:

standolone installer 32bit: both grass and saga are not found by

processing

I can confirm this

*) standalone installer 64bit: saga is not found by processing. GRASS

is found, modules run but at the end they return errors.

I can not confirm this. GRASS is on the plugins list, but the second I try and run one I get "Missing dependency.This algorithm cannot be run :-( " - end

result is the same (not working).

#4 - 2013-10-17 08:06 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to fixed

Jonathan Moules wrote:

Giovanni Manghi wrote:

standolone installer 32bit: both grass and saga are not found by

processing

I can confirm this

*) standalone installer 64bit: saga is not found by processing. GRASS

is found, modules run but at the end they return errors.

I can not confirm this. GRASS is on the plugins list, but the second I try and run one I get "Missing dependency.This algorithm cannot be run :-( " -

end result is the same (not working).

this ticket is to be closed anyway. Actual standalone installers have issues that have been solved in osgeo4w ones. New standalone installers just need to

be created.

#5 - 2015-06-07 04:26 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core
